@font-face {
  font-family: 'Undertale';
  src: url('../fonts/undertale-font-rus-eng.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: '8bit';
  src: url('../fonts/8bitOperatorPlus-Regular.woff') format('truetype');
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

#socials {
  display: flex;
  gap: 80px;
  justify-content: center;
  align-items: center;
  margin-top: 25px;
  margin-bottom: 35px;
}

.socialBox {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  text-decoration: none;
  color: white;
}

.socialBox img {
  height: auto;
  object-fit: contain;
  object-position: center;
  display: block;
}

.socialBox p {
  margin-top: 10px;
  font-size: 18px;
  color: white;
  text-shadow: 2px 2px 0 black;
}

.socialBox:hover p {
  color: red;
}

.socialBox .icon,
.socialBox p {
  transition: 0.15s ease;
}

.socialBox .icon {
  width: 100%;
  height: 60px;
  background-size: contain;
  background-position: center;
  background-repeat: no-repeat;
}

.socialBox.youtube .icon {
  background-image: url("../images/socialYoutube.png");
}

.socialBox.gamejolt .icon {
  background-image: url("../images/socialGamejolt.png");
}

.socialBox.discord .icon {
  background-image: url("../images/socialDiscord.png");
}

.socialBox.soundcloud .icon {
  background-image: url("../images/socialSoundcloud.png");
}

.socialBox.youtube:hover .icon {
  background-image: url("../images/socialSelectYoutube.png");
}

.socialBox.gamejolt:hover .icon {
  background-image: url("../images/socialSelectGamejolt.png");
}

.socialBox.discord:hover .icon {
  background-image: url("../images/socialSelectDiscord.png");
}

.socialBox.soundcloud:hover .icon {
  background-image: url("../images/socialSelectSoundcloud.png");
}

.socialBox:hover p {
  color: red;
}


@media (max-width: 596px) {
  .socialBox img {
    width: 75%;
  }

  .socialBox p {
    font-size: 14px;
  }

  .socialBox .icon {
    width: 75%;
    height: 45px;
  }

  #socials {
    gap: 40px;
    margin-top: 10px;
    margin-bottom: 25px;
  }

}